/*
 * blanco Framework
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.expander.query.field;

import blanco.ig.expander.IgType;
import blanco.ig.expander.Scope;
import blanco.ig.expander.field.FieldExpander;

/**
 * QueryクラスのfStatementフィールドです。
 * 
 * @author IGA Tosiki
 */
public class StatementFieldDotNet extends FieldExpander {
    /**
     * QueryクラスのfStatementフィールドのコンストラクタです。
     * 
     * @author IGA Tosiki
     */
    public StatementFieldDotNet() {
        super(new IgType("System.Data.SqlClient.SqlCommand"), "fStatement");

        getJavaDoc().addLine("このクラスが内部的に利用するステートメントオブジェクト。");
        getJavaDoc().addLine("");
        getJavaDoc().addLine("このオブジェクトは内部的に利用されます。");
    }

    /**
     * ジェネレーションギャップデザインパターンが利用可能になる目的で、スコープはprotectedとします。
     */
    protected Scope getScope() {
        return Scope.PROTECTED;
    }
}
